Update fails with errors

Every now and then, I get an update notification. I select Update now, follow subsequent prompts and all goes well without any error.

This time around, however, there was an error - Failed to commit tranaction, with the following details:

conflicting files:
python-pyqt5: /usr/lib/python3.7/site-packages/PyQt5/__pycache__/__init__.cpython-37.pyc already exists in filesystem

Could this be because of some applications I had installed using AUR? And now that this problem has occurred, would it be correct to remove python-pyqt5 and upgrade the system? By the way, I got this idea after reading this thread.

No need, see here:

3 Likes

@bogdancovaciu That was perfect. Thanks.

1 Like

Thanks for giving help. I had the same problem, now solved. Good job.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.